| Home | Libraries | People | FAQ | More

#### grammar::lut_chars

A set of characters.

##### Synopsis

Defined in header `<boost/url/grammar/lut_chars.hpp>`

    class lut_chars

##### Member Functions

Name | Description
--- | ---
lut_chars [constructor] | Constructor.
operator() | Return true if ch is in the character set. — Return true if ch is in the character set.
operator~ | Return a new character set which is the complement of another character set.

##### Friends

Name | Description
--- | ---
operator+ | Return the union of two character sets.
operator- | Return a new character set by subtracting.

##### Description

The characters defined by instances of this set are provided upon construction. The `constexpr` implementation allows these to become compile-time constants.

##### Example

Character sets are used with rules and the functions `find_if` and `find_if_not`.

    constexpr lut_chars vowel_chars = "AEIOU" "aeiou" ;

    system::result< core::string_view > rv = parse( "Aiea" , token_rule( vowel_chars ) );

##### See Also

`find_if`, `find_if_not`, `parse`, `token_rule`.

Convenience header `<boost/url/grammar.hpp>`